Pepperflashplugin не работает

Автор Zodiac, 23 января 2017, 22:41:04

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

Zodiac

Доброго времени суток. Недавно столкнулся с такой проблемой. Внезапно перестал работать pepperflashplugin-nonfree в Chromium. До этого почти год все работало отлично. Перепробовал все возможные решения, которые удалось найти, но результат нулевой. При попытке воспроизведения видео (например тв-трансляции) пишет "Не удалось загрузить плагин". Куда копать? Что крутить? Какие нужны дополнительные сведения для решения этого вопроса? Чувствуется, что решение банально, но никак не могу его найти. Буду очень благодарен за любую помощь. Спасибо.
Brevis esse laboro, obscurus fiо

ogost

поищите на форуме, где-то обсуждались такие же проблемы, недавно.

ihammers

А обновление его запускали?
~# sudo update-pepperflashplugin-nonfree --status
~# sudo update-pepperflashplugin-nonfree --install
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

Zodiac

Цитата: ogost от 24 января 2017, 04:00:21
поищите на форуме, где-то обсуждались такие же проблемы, недавно.
Да, но там немного другая проблема была. Советы из той темы не помогли.
Цитата: ihammers от 24 января 2017, 04:02:31
А обновление его запускали?
~# sudo update-pepperflashplugin-nonfree --status
~# sudo update-pepperflashplugin-nonfree --install

Вот такое выдает в конце

45150K .......                                               100% 23,3M=9,7s

2017-01-24 09:23:14 (4,53 MB/s) - «/tmp/pepperflashplugin-nonfree.8GTVoT6KLd/google-chrome-stable_55.0.2883.87-1_amd64.deb» сохранён [46241756/46241756]

mv: не удалось выполнить stat для «unpackchrome/opt/google/chrome/PepperFlash/libpepflashplayer.so»: Нет такого файла или каталога

Brevis esse laboro, obscurus fiо

Zodiac

Проблему решил неожиданным способом. В папке usr/lib/pepperflashplugin-nonfree нехватало файла libpepflashplayer.so
Подкинул в эту папку файл, взятый из архива flash_player_ppapi_linux.x86_64.tar.gz который скачал на сайте адоба. И чудо, все заработало! Странно даже. Куда этот файл мог деться, если он там должен быть?
Brevis esse laboro, obscurus fiо

ferum

Цитата: Zodiac от 24 января 2017, 09:36:37
Проблему решил неожиданным способом. В папке usr/lib/pepperflashplugin-nonfree нехватало файла libpepflashplayer.so
Подкинул в эту папку файл, взятый из архива flash_player_ppapi_linux.x86_64.tar.gz который скачал на сайте адоба. И чудо, все заработало! Странно даже. Куда этот файл мог деться, если он там должен быть?
в /opt не смотрели?
Русские дебианщики против цифрового слабоумия !

Zodiac

Цитата: ferum от 24 января 2017, 15:01:24
в /opt не смотрели?
Смотрел, но там файла libpepflashplayer.so тоже не было.

В общем, флеш работает. Но в хромиуме вместо звука стал треск при выводе звука на внешнюю звуковуху. На встроенно все хорошо. Стоит еще яндекс. Он звук одинаково хорошо выводит и на внешнюю и на внутреннюю. Тоже вот загадка...
Brevis esse laboro, obscurus fiо

ogost

Если не ошибаюсь, то pepperflashplugin-nonfree просто качает последний релиз гугл хрома, вытаскивает из этого архива libpepflashplayer.so и кладет его в указанную вами директорию (на самом деле скорее всего всё сложнее). И когда архив гугла хрома меняется, то до обновления пакета pepperflashplugin-nonfree проходит некоторое время, и в это время пакет неработоспособен. Как-то так я себе это представляю, но не углублялся в вопрос и могу ошибаться

mnt

Если после обновления Google Chrome libpepflashplayer.so отсутствует, надо зайти на сайт с видео (типа http://seasonvar.ru/ или http://onlainfilm.ucoz.ua) и запустить какой-либо фильм. Автоматически подкачается свежий libpepflashplayer. По окончании закачки (видно только в индикаторе сети в Системном мониторе и т.п.) перезапустить Google Chrome.
Расположение здесь (номер версии будет меняться):
/home/user/.config/google-chrome/PepperFlash/24.0.0.194/libpepflashplayer.so

Zodiac

#9
Цитата: mnt от 25 января 2017, 14:22:31
Если после обновления Google Chrome libpepflashplayer.so отсутствует...
Да, но только у меня Chromium, а точнее Yandex браузер.
Brevis esse laboro, obscurus fiо

Zodiac

#10
Видео то сейчас работает. Но единственно это не работает видео с контакта в яндекс-браузере (которым я пользуюсь в силу проблем со звуком в Chromium). Говорит необходим Flash Player последней версии. Но у меня и так вроде последняя (24.0.0.194). В чем может быть косяк?
З.Ы. видео именно с контактовского плеера. Видео вставленное вконтакте с ютуба и других ресурсов работает хорошо.
Brevis esse laboro, obscurus fiо

mnt

#11
Здесь тоже на это жалуются.
https://vk.com/topic-140471_15186534?offset=580
Пожалуйтесь там.
У меня нет аккаунта у них. Поэтому проверить не могу.
Можно попытаться другим браузером (у меня их целая коллекция - в основном используется SRWare Iron, но для youtube.com - Google Chrome, он тут не повисает, в отличие от предыдущего).

P.S. Если это идет с их плеера:
https://vk.com/video158465683_456239114?list=c0a38879db13a2f1d7
то на этих двух браузерах есть и звук и видео.

halerick

спасибо большое автору. 3 часа искал как решить такую же проблему и прямо к матчу Ростов - МЮ  решил задачу. Спасибо огромное. Я уже было Линукс сносить собрался  и опять на Винду переходить.

Skifiron

здравствуйте у меня такая же проблема chromium не воспроизводит flash pepperflashplugin установлен в chrome://flash/ Flash plugin 25.0.0.127 но при попытке просмотреть flash содержимое пишет не удалось загрузить плагин

NewsPR777

#14
Огромное спасибо автору темы! Давно искал ничего толкового не мог найти!